package com.artfess.cqlt.manager;

import com.artfess.base.manager.BaseManager;
import com.artfess.cqlt.model.QfInvestExpenditureD;
import com.artfess.cqlt.model.QfInvestExpenditureM;

import java.util.List;

/**
 * 投资--萨固密集团资本性支出年度预算与完成情况 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author 黎沐华
 * @since 2023-02-21
 */
public interface QfInvestExpenditureMManager extends BaseManager<QfInvestExpenditureM> {

    boolean importExcel(List<QfInvestExpenditureD> list, String mainId);

    boolean updateStatus(QfInvestExpenditureM t);

    boolean insertInfo(QfInvestExpenditureM t);

    boolean updateInfo(QfInvestExpenditureM t);
}
